Package com.ziclix.python.sql

# Class WarningEvent

java.lang.Object
java.util.EventObject
com.ziclix.python.sql.WarningEvent

All Implemented Interfaces:
  `Serializable`

public class WarningEvent extends EventObject
An event signalling the a SQLWarning was encountered while building results from a ResultSet.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WarningEvent(Object source, SQLWarning warning)`

## Method Summary

Modifier and Type
Method
Description
`SQLWarning`
`getWarning()`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WarningEvent

public WarningEvent(Object source, SQLWarning warning)

## Method Details

### getWarning

public SQLWarning getWarning()